Форум русскоязычного сообщества Ubuntu


Автор Тема: Не запускается VLC после обновления  (Прочитано 2900 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн wozberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Не запускается VLC после обновления
« : 05 Декабрь 2017, 23:01:39 »
Перестал запускаться VLC нашел эту тему http://forum.ubuntu.ru/index.php?topic=292245.msg2298712#msg2298712 не помогло, помогите понять что не так у меня, в данных вопросах линукса не силен.

Оффлайн DimanBG

  • Активист
  • *
  • Сообщений: 947
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #1 : 05 Декабрь 2017, 23:21:05 »
wozberg, в Терминале запусти и посмотри вывод.

Оффлайн wozberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #2 : 05 Декабрь 2017, 23:51:00 »
vlc
VLC media player 2.2.7 Umbrella (revision 2.2.2+git20170721+r59033+56~ubuntu16.04.1)
[0000000001f33148] core libvlc: Запуск vlc с интерфейсом по умолчанию. Используйте 'cvlc' для запуска vlc без интерфейса.
This application failed to start because it could not find or load the Qt platform plugin "xcb".

Reinstalling the application may fix this problem.
Аварийный останов (сделан дамп памяти)

Оффлайн DimanBG

  • Активист
  • *
  • Сообщений: 947
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #3 : 06 Декабрь 2017, 00:04:01 »
Reinstalling the application may fix this problem.
Ты мог бы и сам прочитать, что написано. Переустанавливай vlc.
А вот из-за чего -
This application failed to start because it could not find or load the Qt platform plugin "xcb".
тебе должно быть виднее, почему не найден плагин.

Оффлайн wozberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #4 : 06 Декабрь 2017, 02:07:27 »
Спасибо, за ответ, только то что я могупрочесть в выводе мне не о чем не говорит (

Оффлайн DoctorRover

  • Модератор раздела
  • Старожил
  • *
  • Сообщений: 1559
  • Ubuntu 17.10
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #5 : 10 Декабрь 2017, 20:53:58 »
wozberg, вы пробовали переустановить VLC, как рекомендовал DimanBG? Заработало после этого?
You're never too old to Rock'n'Roll if you're too young to die.

Оффлайн wozberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #6 : 18 Январь 2018, 14:25:37 »
Да пробовал, не помогает, и еще много чего обнаружил, установил Twinkle не запускается, понадобился 13 Teamviewer снес 12 установил 13 ничего не работает в gui жмешь иконку и ничего не происходит, в терминале разное пишет Teamviewer
$ teamviewer

Init...
CheckCPU: SSE2 support: yes
Checking setup...
Launching TeamViewer ...
Launching TeamViewer GUI ...
после этого возвращается командная строка.

VLC
$ vlc
VLC media player 2.2.6 Umbrella (revision 2.2.6-0-g1aae78981c)
[000055f398e019d8] core libvlc: Запуск vlc с интерфейсом по умолчанию. Используйте 'cvlc' для запуска vlc без интерфейса.
[000055f398f2cf38] skins2 interface error: no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)
[000055f398f2cf38] skins2 interface error: cannot instantiate qt4 dialogs provider
[000055f398f2cf38] [cli] lua interface: Listening on host "*console".
VLC media player 2.2.6 Umbrella
Command Line Interface initialized. Type `help' for help.
> ^C[000055f398f2cf38] [cli] lua interface error: Error loading script /usr/lib/x86_64-linux-gnu/vlc/lua/intf/cli.luac: lua/intf/modules/host.lua:279: Interrupted.

Twinkle
twinkle
twinkle: /usr/lib/Qt5/libQt5Qml.so.5: no version information available (required by twinkle)
twinkle: /usr/lib/Qt5/libQt5Quick.so.5: no version information available (required by twinkle)
twinkle: /usr/lib/Qt5/libQt5Core.so.5: no version information available (required by twinkle)
twinkle: /usr/lib/Qt5/libQt5Core.so.5: no version information available (required by twinkle)
twinkle: /usr/lib/Qt5/libQt5Gui.so.5: no version information available (required by twinkle)
twinkle: /usr/lib/Qt5/libQt5Widgets.so.5: no version information available (required by twinkle)
twinkle: relocation error: twinkle: symbol qt_version_tag, version Qt_5.6 not defined in file libQt5Core.so.5 with link time reference

Прошу помочь разобраться.

Оффлайн DimanBG

  • Активист
  • *
  • Сообщений: 947
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #7 : 18 Январь 2018, 15:03:27 »
VLC
Кто то сменил интерфейс по умолчанию на какой-то левый или не совместимый по версии. Не знаешь кто это сделал?
Удали или исправь конфиг vlc в home.

Оффлайн wozberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #8 : 18 Январь 2018, 18:50:47 »
Цитировать
    VLC

Кто то сменил интерфейс по умолчанию на какой-то левый или не совместимый по версии. Не знаешь кто это сделал?
Удали или исправь конфиг vlc в home.

удалил config в папке /home/user/.config/vlc, ничего не помогло

Оффлайн archuser

  • Активист
  • *
  • Сообщений: 434
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #9 : 18 Январь 2018, 19:21:32 »
wozberg, в терминале выполните:
LD_DEBUG=files vlc > log 2>&1Файл log получится большим, поэтому вместо прямого копирования его содержимого на форум, прикрепите его к сообщению в виде отдельного файла.

Оффлайн wozberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #10 : 18 Январь 2018, 19:28:49 »
Спасибо, А куда сохранится файл после выполнения команды?
Еще такая инфапоможет:
(Нажмите, чтобы показать/скрыть)

еще там почему то x11vnc сыплет каждую секунду сообщения, что это? как бороться?



Пользователь добавил сообщение 18 Январь 2018, 19:34:44:
Цитировать
LD_DEBUG=files vlc > log 2>&1

Файл log получится большим, поэтому вместо прямого копирования его содержимого на форум, прикрепите его к сообщению в виде отдельного файла.

Вывода в терминаленет при выполнении, если сохраняет в файл то куда?
« Последнее редактирование: 18 Январь 2018, 19:34:44 от wozberg »

Оффлайн archuser

  • Активист
  • *
  • Сообщений: 434
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #11 : 18 Январь 2018, 19:38:08 »
Вывода в терминаленет при выполнении, если сохраняет в файл то куда?
Файл называется log, сохраняется в текущем рабочем каталоге.

Оффлайн wozberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #12 : 18 Январь 2018, 19:45:01 »
файл лог создался вот его содержимое в приложении:

Оффлайн archuser

  • Активист
  • *
  • Сообщений: 434
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #13 : 18 Январь 2018, 20:42:09 »
wozberg, а что у Вас за винегрет в системе??? У Вас инсталлирована Ubuntu 16.04, а версия vlc соответствует Ubuntu 17.04! Плагин /usr/lib/x86_64-linux-gnu/vlc/plugins/gui/libqt4_plugin.so находится в пакете vlc-plugin-qt, которого даже не существует в Ubuntu 16.04! Как докатились до такой жизни? Рассказывайте! Решение - переустановить vlc из репозитория Ubuntu 16.04.

Оффлайн wozberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: Не запускается VLC после обновления
« Ответ #14 : 18 Январь 2018, 21:02:41 »
рассказываю: была 16.04 и при ней сломался VLC, я не разобрался тогда в чем дело, затем понадобился Twinkle установил он то-же не работал, так же решения не нашел, неделю назад понадобилось обновить TeamViever удадалил 12-й поставил 13-й тоже перестал работать, следом понадобилось обновиться до 17-й (сейчас 17.10), потом понадобились VLC, Twinkle и TeamViewer так же необходим, а ума не  могу дать ничему.

 

Страница сгенерирована за 0.144 секунд. Запросов: 23.